# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class ItemTypeDescription

    java.lang.Object
      com.google.api.gbase.client.ItemTypeDescription

    public class ItemTypeDescription

extends java.lang.Object

A description of an item type done by the gm: tags in a google base entry. Make sure the current feed is an item type feed and then get the ItemTypeDescription for the entry using: `GoogleBaseEntry.getGoogleBaseMetadata()`.getItemTypeDescription()

Method Summary
`java.util.List<? extends GoogleBaseAttributeId>` `getAttributeIds()` Deprecated. use `getAttributes()` instead
`java.util.Collection<GmAttributes.GmAttribute>` `getAttributes()` Get the list of attribute ids with extra information as defined for this item type.
`java.lang.String` `getName()` Gets the item type name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Gets the item type name.

### getAttributeIds

    public java.util.List<? extends GoogleBaseAttributeId> getAttributeIds()

  Deprecated. use `getAttributes()` instead

  Get the list of attribute ids defined for this item type.

  Returns:
    unmodifiable list of attribute ids

### getAttributes

    public java.util.Collection<GmAttributes.GmAttribute> getAttributes()

  Get the list of attribute ids with extra information as defined for this item type.

  Returns:
    unmodifiable list of GmAttribute objects